GPASSWD(1)

NOME
gpasswd - amministra /etc/group e /etc/gshadow

SINOSSI

gpasswd [opzione] gruppo

DESCRIZIONE

Il comando gpasswd è utilizzato per amministrare /etc/groupe /etc/gshadow. Ogni gruppo può avereamministratori, membri e una password.

Gli amministratori di sistema possono usare l'opzione -A per definire l'amministratore/gli amministratori di gruppo e l'opzione -M per definire i membri ed hanno tutti i permessi degli amministratori di gruppo e dei membri.

gpasswd richiamato da un amminstatore di gruppo con un nome di gruppo richiede solo la nuova password del gruppo.

Se la password è impostata i membri possono ancora usare newgrp(1) senza la password, i non-membri devono fornire la password.

  Note sulle password di gruppo

Le password di gruppo rappresentano un intrinseco problema di sicurezza perché più di una persona deve conoscerle. Ciononostante i gruppi sono uno strumento molto utile per la cooperazione tra vari utenti.

OPZIONI

Ad eccezione di -A e -M, le altre opzioni non possono essere combinate.

Il comando gpasswd accetta le seguenti opzioni:

-a, --add utente
    Aggiunge utente al gruppo indicato.

-d, --delete utente
    Rimuove utente dal gruppo indicato.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-Q, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-r, --remove-password
    Rimuove la password dal gruppo indicato. La password del gruppo sarà vuota. Solo ai membri del gruppo sarà ammesso l'accesso tramite newgrp al gruppo indicato.

-R, --restrict
    Limita l'accesso al gruppo indicato. La password del gruppo è cambiata in «!». Solo ai membri del gruppo con una password verrà permesso di usare newgrp per accedere al gruppo indicato.

-A, --administrators utente,...
    Imposta l'elenco degli utenti amministratori.

-M, --members utente,...
    Definisce l'elenco dei membri del gruppo.

AVVISI/CAVEAT

Questo strumento opera solo sul file /etc/groupe sul file /etc/gshadow. Quindi non si possono modificare gruppi NIS o LDAP. Questo dovrebbe essere fatto sul corrispondente server.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

ENCRYPT_METHOD (testo)
    Definisce l'algoritmo di cifratura predefinito per le password (se non ne viene specificato uno a riga di comando).

    Può avere uno dei seguenti valori: DES (predefinito), MD5, SHA256, SHA512.

    Nota: questo parametro ha la precedenza sulla variabile MD5_CRYPT_ENAB.

    Nota: questo ha effetto solo sulla generazione delle password di gruppo. La generazione delle password utente avviene tramite PAM ed è soggetta alla configurazione PAM. È raccomandato di impostare questa variabile in maniera consistente con la configurazione PAM.

MAX_MEMBERS_PER_GROUP (numero)
    Numero massimo di membri per gruppo. Quando viene raggiunto il massimo, viene creata una nuova riga per il gruppo nel file /etc/group (con lo stesso nome, stessa password e stesso GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

MD5_CRYPT_ENAB (booleano)
    Indica se le password vanno cifrate usando l'algoritmo basato su MD5. Se impostato a yes le nuove password saranno cifrate usando un algoritmo basato su MD5 e compatibile con quello delle versioni più recenti di FreeBSD. Supporta password di lunghezza qualsiasi e testi «salt» più lunghi. Impostare a no se si devono copiare password su altri sistemi che non gestiscono l'algoritmo. Il valore predefinito è no.

    Questa variabile ha meno priorità della variabile ENCRYPT_METHOD e di qualsiasi opzione a riga di comando che imposta un algoritmo di cifratura.

    Questa variabile non è più usata. Si dovrebbe utilizzare ENCRYPT_METHOD.

    Nota: questo ha effetto solo sulla generazione delle password di gruppo. La generazione delle password utente avviene tramite PAM ed è soggetta alla configurazione PAM. È raccomandato di impostare questa variabile in maniera consistente con la configurazione PAM.

SHA_CRYPT_MIN_ROUNDS (numerico), SHA_CRYPT_MAX_ROUNDS (numerico)
    Quando ENCRYPT_METHOD vale SHA256 o SHA512, questo definisce il numero di cicli SHA usati per l'algoritmo di cifratura (quando il numero di cicli non è impostato a riga di comando).

    Con molti cicli è più difficile trovare una password usando la forza bruta. Ma va notato che è richiesta maggiore potenza di calcolo per autenticare gli utenti.

    Se non specificato sarà la libc a scegliere il numero di cicli (5000).

    Il valore deve essere compreso tra 1.000 e 999.999.999.

    Se viene impostato solo uno tra SHA_CRYPT_MIN_ROUNDS e SHA_CRYPT_MAX_ROUNDS, allora l'unico valore viene utilizzato.

    Se SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, allora viene utilizzato il maggiore.

    Nota: questo ha effetto solo sulla generazione delle password di gruppo. La generazione delle password utente avviene tramite PAM ed è soggetta alla configurazione PAM. È raccomandato di impostare questa variabile in maniera consistente con la configurazione PAM.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

VEDERE ANCHE

newgrp(1), groupadd(8), groupdel(8), groupmod(8), grpck(8), group(5), gshadow(5).